Subject: bug#440: util-linux: /sbin/getty does not allow login from systemd-nspawn

From: Mark Hindley <[email-masked]>
Date: Fri, 8 May 2020 12:04:39 +0100

On Fri, May 08, 2020 at 04:16:20PM +0900, Ryutaroh Matsumoto wrote:
> Package: util-linux
> Version: 2.33.1-0.1+devuan1~beowulf2
> Severity: normal
> 
> Dear Maintainer,
> 
> I made a Devuan container on Debian Bullseye by
> mmdebstrap --components="main contrib non-free" --variant=standard beowulf /var/lib/lxc/devuan/rootfs http://deb.devuan.org/merged
> 
> Then I commented-in the last line in /etc/inittab of Devuan as
> 
> # Example for systemd-nspawn
> # Only /dev/console exists inside nspawn, so we need a getty on that.
> # Also make sure to comment out the gettys on tty* above.
> C0:2345:respawn:/sbin/getty -8 --noclear --keep-baud console 115200,38400,9600
> 
> "lxc-start -F -n devuan" works fine and it allows login.
> On the other hand, when the Devuan container is started by
> "systemd-nspawn -D /var/lib/lxc/devuan/rootfs -b",
> typing "root" to "login: " just says "Login incorrect" without asking password.

Thinking about this more, that sounds like a baud rate issue.

Does using a simpler/different line in inittab help?

 C0::respawn:/sbin/getty 38400 console

Is about as simple as you can go, I suppose.

Mark